Hex: src/io.h File Reference

| Hex 2.2 Hydrogen-electron collision solver

Data Structures | Functions
io.h File Reference
`#include <cstdio>`
`#include <fstream>`
`#include <vector>`
`#include <string>`
`#include "hex-arrays.h"`
`#include "bspline.h"`
`#include "luft.h"`
`#include "parallel.h"`
Include dependency graph for io.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | CommandLine
| Command line parameters. More...
struct | CommandLine::s_zipdata
| A B-spline expansion of a solution to "zip". See Bspline::zip . More...
class | InputFile
| Input parameters. More...
class | SolutionIO
| Solution input/output class. More...

## Functions

void | zip_solution (CommandLine const &cmd, InputFile const &inp, Parallel const &par, Bspline const &bspline_inner, Bspline const &bspline_full, std::vector< std::pair< int, int >> const &ll)
| Convert solution to VTK file. More...
void | write_grid (Bspline const &bspline, std::string const &basename)
| Write grid to a VTK file. More...

## Function Documentation

## ◆ write_grid()

void write_grid | ( | Bspline const & | bspline,
|  | std::string const & | basename
| ) |  |

## ◆ zip_solution()

void zip_solution | ( | CommandLine const & | cmd,
|  | InputFile const & | inp,
|  | Parallel const & | par,
|  | Bspline const & | bspline_inner,
|  | Bspline const & | bspline_full,
|  | std::vector< std::pair< int, int >> const & | ll
| ) |  |

This function will convert a solution (the filename of the HDF file should come from the command line option –zipfile) to a series of VTK text files that can be viewed e.g. by the free ParaView program. The resulting VTK files (one for each angular basis vector) will contain real and imaginary part of the wave function component on an rectilinear grid. Parameters of the grid can be further refined by the command line arguments –zipcount and –zipmax).

Parameters

  cmd | Class containing command line options.
  bspline | B-spline environments. The appropriate one will be chosen by the match between the B-spline count and the solution size.
  ll | Angular basis.

See the respective classes for deeper explanation of individual parameters.